using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：管理控制措施
    /// </summary>
    [Description("导航属性：管理控制措施")]
    public class T_HM_EVALUATE_RESULT_HAZARD_MANAGEMENT_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 职业危害库ID
        /// </summary>
        [Description("职业危害库ID")]
        [DataFieldForeignKey("Nav_EvaluationResultHazard","Nav_EvaluateHazardManagementMeasures")]
        public Guid EVALUATE_RESULT_HAZARD_ID { get; set; }

        /// <summary>
        /// 管理控制措施ID
        /// </summary>
        [Description("管理控制措施")]
        [DataFieldForeignKey("Nav_ManagementMeasures")]
        [FormFieldEdit]
        public Guid MANAGEMENT_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：职业危害库
        /// </summary>
        [Description("导航属性：职业危害库")]
        public T_HM_EVALUATE_RESULT_HAZARD Nav_EvaluationResultHazard { get; set; }

        /// <summary>
        /// 导航属性：管理控制措施
        /// </summary>
        [Description("导航属性：管理控制措施")]
        public T_HM_MANAGEMENT_MEASURES Nav_ManagementMeasures { get; set; }
    }
}
